XmlHandler
Date: 2019-10-22

org.jmol.adapter.readers.xml

## Class XmlHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.jmol.adapter.readers.xml.XmlHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class XmlHandler
      extends org.xml.sax.helpers.DefaultHandler

  a SAX handler -- Java only

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `debugContext`
    `private XmlReader` | `xmlReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endDocument()`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `error(org.xml.sax.SAXParseException exception)`
    `void` | `fatalError(org.xml.sax.SAXParseException exception)`
    `(package private) void` | `parseXML(XmlReader xmlReader, java.lang.Object saxReaderObj, java.io.BufferedReader reader)`
    `org.xml.sax.InputSource` | `resolveEntity(java.lang.String name, java.lang.String publicId, java.lang.String baseURI, java.lang.String systemId)`
    `void` | `startDocument()`
    `void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String nodeName, org.xml.sax.Attributes attributes)`
    `void` | `warning(org.xml.sax.SAXParseException exception)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xmlReader

          private XmlReader xmlReader

    - #### debugContext

          private java.lang.String debugContext

  - ### Constructor Detail

    - #### XmlHandler

          public XmlHandler()

  - ### Method Detail

    - #### parseXML

          void parseXML(XmlReader xmlReader,
                        java.lang.Object saxReaderObj,
                        java.io.BufferedReader reader)
                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### startDocument

          public void startDocument()

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`

    - #### endDocument

          public void endDocument()

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String namespaceURI,
                                   java.lang.String localName,
                                   java.lang.String nodeName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity(java.lang.String name,
                                                       java.lang.String publicId,
                                                       java.lang.String baseURI,
                                                       java.lang.String systemId)

    - #### error

          public void error(org.xml.sax.SAXParseException exception)

      Specified by:
        `error` in interface `org.xml.sax.ErrorHandler`
      Overrides:
        `error` in class `org.xml.sax.helpers.DefaultHandler`

    - #### fatalError

          public void fatalError(org.xml.sax.SAXParseException exception)

      Specified by:
        `fatalError` in interface `org.xml.sax.ErrorHandler`
      Overrides:
        `fatalError` in class `org.xml.sax.helpers.DefaultHandler`

    - #### warning

          public void warning(org.xml.sax.SAXParseException exception)

      Specified by:
        `warning` in interface `org.xml.sax.ErrorHandler`
      Overrides:
        `warning` in class `org.xml.sax.helpers.DefaultHandler`